AppDeleteShippingMethod
DELETE
/apps/shipping/methods/{id}
const url = 'https://your-store.myciqra.com/apps/shipping/methods/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://your-store.myciqra.com/apps/shipping/methods/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Required scope: write_shipping — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”No Content
Not Found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
scope
required
null | string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example", "scope": "example" }}Conflict
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
scope
required
null | string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example", "scope": "example" }}Unprocessable Entity
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
scope
required
null | string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example", "scope": "example" }}